
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" lang="en-us">
  <head>
    <meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Tutorial API Inmobilio &#8212; Inmobilio 1.0 documentation</title>
    <link rel="stylesheet" href="_static/alabaster.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script async="async" type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Código del API Inmobilio" href="codigo.html" />
    <link rel="prev" title="Welcome to Inmobilio’s documentation!" href="index.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <div class="section" id="tutorial-api-inmobilio">
<h1>Tutorial API Inmobilio<a class="headerlink" href="#tutorial-api-inmobilio" title="Permalink to this headline">¶</a></h1>
<p>Ests es el tutorial para el consumo del API de Inmobilio</p>
<p>Los endpoints de consumo públicos del API son los siguientes:</p>
<ul class="simple">
<li>POST /inmueble para la creación de un nuevo inmueble con todas las características.</li>
<li>PUT /inmueble/{id} para la actualización de un inmueble existente.</li>
<li>DELETE /inmueble/{id} para la eliminación de un inmueble existente.</li>
<li>GET /inmueble/{id} para imprimir en pantalla el json de un inmueble almacenado.</li>
<li>GET /inmuebles para imprimir el listado total de inmuebles.</li>
</ul>
<p>Para poder consumir los métodos POST y PUT el objeto que se debe adicionar en el body del consumo http debe conteler la siguiente estructura:</p>
<div class="section" id="objeto-json">
<h2>Objeto json<a class="headerlink" href="#objeto-json" title="Permalink to this headline">¶</a></h2>
<dl class="docutils">
<dt>{</dt>
<dd><dl class="first docutils">
<dt>“inmueble”: {</dt>
<dd><p class="first">“tipo”: “string”,
“subtipo”: “string”,
“general”: {</p>
<blockquote>
<div>“direccion”: “string”,
“ciudad”: “string”,
“departamento”: “string”,
“pais”: “string”,
“telefono”: “string”</div></blockquote>
<p>},
“interior”: {</p>
<blockquote>
<div>“cuartos”: “float”,
“baños”: “integer”,
“closets”: “integer”,
“calentador”: “boolean”</div></blockquote>
<p>},
“exterior”: {</p>
<blockquote>
<div>“vigilancia”: “string”,
“parqueadero”: “string”,
“salon_social”: “boolean”,
“numero_pisos”: “integer”</div></blockquote>
<p class="last">}</p>
</dd>
</dl>
<p class="last">}</p>
</dd>
</dl>
<p>}</p>
</div>
</div>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">Inmobilio</a></h1>








<h3>Navigation</h3>
<p class="caption"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="current reference internal" href="#">Tutorial API Inmobilio</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#objeto-json">Objeto json</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="codigo.html">Código del API Inmobilio</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
      <li>Previous: <a href="index.html" title="previous chapter">Welcome to Inmobilio’s documentation!</a></li>
      <li>Next: <a href="codigo.html" title="next chapter">Código del API Inmobilio</a></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2018, Alejandro Carvajal Sánchez.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 1.8.1</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.12</a>
      
      |
      <a href="_sources/tutorial.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>